Subject: Re: CCL:G98 + Linda Linux Cluster problem

From: Aaron <[email-masked]>
Date: Wed, 27 Nov 2002 13:05:19 +0900

Hi,

I think you have to check the size of shmmax for the kernel.
By default, the size of shmmax is quite small.
You should take a look "/proc/sys/kernel/shmmax".

You can change it like this,

echo 1073741824 > /proc/sys/kernel/shmmax

"1073741824" means 1GB for the maximum size of shared
memory.

Regards,

At 20:25 02/11/26 -0700, [email-masked] wrote:

>Dear Netters:
>
>Following with my last question about G98+Linda on Linux Clusters,
>I have made some progress: Linda was installed and the paralell
>version has been built. Now I have g98l command to run jobs in
>paralell. When I tried g98l with a simple job, with 1 proccesor,
>the job ran fine. when I tried with more that 1 processor, the
>run stops with the following error:
>
>After Link 1:
>
>shmget failed
>shmget failed - invalid argument
>
>
>Any idea of what can be happening?
>
>Thanks in advance
>
>                                 Dr. Daniel Glossman-Mitnik
>
>
>
>
>-= This is automatically added to each message by mailing script =-
>[email-masked] -- To Everybody  | [email-masked] -- To Admins
>Ftp: ftp.ccl.net  |  WWW: http://www.ccl.net/chemistry/   | Jan: [email-masked]